Ruby: pm_optional_keyword_parameter_node Struct Reference

Ruby 4.0.5p0 (2026-05-20 revision 64336ffd0ee9e1f4c05891695a3d7b49cb709721)

Data Fields
pm_optional_keyword_parameter_node Struct Reference

OptionalKeywordParameterNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_t | name
| OptionalKeywordParameterNode#name.
pm_location_t | name_loc
| OptionalKeywordParameterNode#name_loc.
struct pm_node * | value
| OptionalKeywordParameterNode#value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

OptionalKeywordParameterNode.

Represents an optional keyword parameter to a method, block, or lambda definition.

    def a(b: 1)
          ^^^^
    end

Type: ::PM_OPTIONAL_KEYWORD_PARAMETER_NODE

Flags (#pm_parameter_flags):

- ::PM_PARAMETER_FLAGS_REPEATED_PARAMETER

Definition at line 6485 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_optional_keyword_parameter_node::base

The embedded base node.

Definition at line 6487 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_optional_keyword_parameter_node::name

OptionalKeywordParameterNode#name.

Definition at line 6493 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_optional_keyword_parameter_node::name_loc

OptionalKeywordParameterNode#name_loc.

Definition at line 6498 of file ast.h.

Referenced by pm_dump_json().

## ◆ value

struct pm_node* pm_optional_keyword_parameter_node::value

OptionalKeywordParameterNode#value.

Definition at line 6503 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h